
From: Jeff Dike <jdike@addtoit.com>

Remove a UML/x86_64 warning (and build failure if CONFIG_MODE_TT is disabled).

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/sys-x86_64/ptrace_user.c |   23 ++++++-----------------
 1 files changed, 6 insertions(+), 17 deletions(-)

diff -puN arch/um/sys-x86_64/ptrace_user.c~uml-fix-a-compile-failure arch/um/sys-x86_64/ptrace_user.c
--- 25/arch/um/sys-x86_64/ptrace_user.c~uml-fix-a-compile-failure	2005-03-07 22:16:23.000000000 -0800
+++ 25-akpm/arch/um/sys-x86_64/ptrace_user.c	2005-03-07 22:16:23.000000000 -0800
@@ -42,23 +42,12 @@ void arch_enter_kernel(void *task, int p
 void arch_leave_kernel(void *task, int pid)
 {
 #ifdef UM_USER_CS
-	if(ptrace(PTRACE_POKEUSER, pid, CS, UM_USER_CS) < 0)
-		tracer_panic("POKEUSER CS failed");
+        if(ptrace(PTRACE_POKEUSER, pid, CS, UM_USER_CS) < 0)
+                printk("POKEUSR CS failed");
 #endif
 
-	if(ptrace(PTRACE_POKEUSER, pid, DS, __USER_DS) < 0)
-		tracer_panic("POKEUSER DS failed");
-	if(ptrace(PTRACE_POKEUSER, pid, ES, __USER_DS) < 0)
-		tracer_panic("POKEUSER ES failed");
+        if(ptrace(PTRACE_POKEUSER, pid, DS, __USER_DS) < 0)
+                printk("POKEUSR DS failed");
+        if(ptrace(PTRACE_POKEUSER, pid, ES, __USER_DS) < 0)
+                printk("POKEUSR ES failed");
 }
-
-/*
- * Overrides for Emacs so that we follow Linus's tabbing style.
- * Emacs will notice this stuff at the end of the file and automatically
- * adjust the settings for this buffer only.  This must remain at the end
- * of the file.
- * ---------------------------------------------------------------------------
- * Local variables:
- * c-file-style: "linux"
- * End:
- */
_
